Coin: ScXMLEvent Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ScXMLEvent Class Reference
State Chart XML Classes

Base class for events sent to SCXML state machines. More...

`#include <Inventor/scxml/ScXMLEvent.h>`

Inheritance diagram for ScXMLEvent:

## Public Member Functions
virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
virtual void | setEventName (const SbName &name)
const SbName & | getEventName (void) const
ScXMLEvent * | clone (void) const
void | setAssociation (const char *key, const char *value)
const char * | getAssociation (const char *key) const
size_t | getNumAssociations (void) const
size_t | getAssociationKeys (SbList< const char * > &keys) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Protected Member Functions
virtual void | copyContents (const ScXMLEvent *rhs)

## Protected Attributes
SbName | name

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

Base class for events sent to SCXML state machines.

Since
  Coin 3.0

## Member Function Documentation

## ◆ getTypeId()

SoType ScXMLEvent::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLObject.

Reimplemented in SoScXMLEvent.

## ◆ setEventName()

void ScXMLEvent::setEventName | ( | const SbName & | namearg | ) |
| virtual

This method is for setting a string that will identify this particular event, having this particular state, and can be used for event matching in the SCXML descriptions.

The string should, according to the specification, be a set of tokens consisting of alphanumeric characters, separated with periods (.). This limitation is not enforced by this implementation.

The documentation for this class was generated from the following files:

- ScXMLEvent.h
- ScXMLEvent.cpp